package com.platform.entities;

/**
 * 数据信息实体类
 * 
 * @author wuming
 * 
 */
public class DataInfoEntity {
	private int id;
	private String regionalismCode; // 行政区划编码
	private String cityName; // 市
	private String districtName; // 区县
	private int systemCode; // 系统编码
	private String systemName; // 系统名称
	private String dataType; // 数据类型：财政\社保\...
	private int dataVersion; // 数据版本
	private String submittedBatch; // 上报批次
	private String dataPath; // 数据路径
	private String collectingTime; // 采集时间
	private String collectorContacts; // 采集人的联系
	private String charset; // 数据的字符编码
	private String collectorName; // 采集人姓名
	private String year; // 数据年度
	
	/**	 是否抽取 	，0标示为未汇总，1标示汇总中，2标示汇总完成 */
	private int extractStatus;
	/**	数据年度起始	 */
	private String startYear;
	/**	数据年度结束	 */
	private String endYear;
	
	/**	volume的ip	 */
	private String volumeIp;
	/**	volume的path	 */
	private String volumePath;
	
	private String volumeType;
	
	/**  数据库类型  */
	private String dataBaseType;
	
	private String mark;
	
	/** 支付信息表校验--采集 */
	private String payResult;

	/** 执行信息表校验--采集 */
	private String execResult;
	
	/** 支付信息表校验--汇总 */
	private String payResultLast;

	/** 执行信息表校验--汇总 */
	private String execResultLast;
	
	/** 是否进行了校验 */
	private String checkoutFlag;
	
	/** 起始月份 */
	private String startMonth;
	
	/** 结束月份 */
	private String endMonth;
	
	/** 是否进行了抽取 */
	private String standardExtractStatus;
	
	public DataInfoEntity() {
	}

	public DataInfoEntity(int id, String regionalismCode, String cityName,
			String districtName, int systemCode, String systemName,
			String dataType, int dataVersion, String submittedBatch,
			String dataPath, String collectingTime, String collectorContacts,
			String charset, String collectorName, String year) {
		super();
		this.id = id;
		this.regionalismCode = regionalismCode;
		this.cityName = cityName;
		this.districtName = districtName;
		this.systemCode = systemCode;
		this.systemName = systemName;
		this.dataType = dataType;
		this.dataVersion = dataVersion;
		this.submittedBatch = submittedBatch;
		this.dataPath = dataPath;
		this.collectingTime = collectingTime;
		this.collectorContacts = collectorContacts;
		this.charset = charset;
		this.collectorName = collectorName;
		this.year = year;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getRegionalismCode() {
		return regionalismCode;
	}

	public void setRegionalismCode(String regionalismCode) {
		this.regionalismCode = regionalismCode;
	}

	public String getCityName() {
		return cityName;
	}

	public void setCityName(String cityName) {
		this.cityName = cityName;
	}

	public String getDistrictName() {
		return districtName;
	}

	public void setDistrictName(String districtName) {
		this.districtName = districtName;
	}

	public int getSystemCode() {
		return systemCode;
	}

	public void setSystemCode(int systemCode) {
		this.systemCode = systemCode;
	}

	public String getSystemName() {
		return systemName;
	}

	public void setSystemName(String systemName) {
		this.systemName = systemName;
	}

	public String getDataType() {
		return dataType;
	}

	public void setDataType(String dataType) {
		this.dataType = dataType;
	}

	public int getDataVersion() {
		return dataVersion;
	}

	public void setDataVersion(int dataVersion) {
		this.dataVersion = dataVersion;
	}

	public String getSubmittedBatch() {
		return submittedBatch;
	}

	public void setSubmittedBatch(String submittedBatch) {
		this.submittedBatch = submittedBatch;
	}

	public String getDataPath() {
		return dataPath;
	}

	public void setDataPath(String dataPath) {
		this.dataPath = dataPath;
	}

	public String getCollectingTime() {
		return collectingTime;
	}

	public void setCollectingTime(String collectingTime) {
		this.collectingTime = collectingTime;
	}

	public String getCollectorContacts() {
		return collectorContacts;
	}

	public void setCollectorContacts(String collectorContacts) {
		this.collectorContacts = collectorContacts;
	}

	public String getCharset() {
		return charset;
	}

	public void setCharset(String charset) {
		this.charset = charset;
	}

	public String getCollectorName() {
		return collectorName;
	}

	public void setCollectorName(String collectorName) {
		this.collectorName = collectorName;
	}

	public String getYear() {
		return year;
	}

	public void setYear(String year) {
		this.year = year;
	}

	/**
	 * @return the startYear
	 */
	public String getStartYear() {
		return startYear;
	}

	/**
	 * @param startYear the startYear to set
	 */
	public void setStartYear(String startYear) {
		this.startYear = startYear;
	}

	/**
	 * @return the endYear
	 */
	public String getEndYear() {
		return endYear;
	}

	/**
	 * @param endYear the endYear to set
	 */
	public void setEndYear(String endYear) {
		this.endYear = endYear;
	}

	/**
	 * @return the extractStatus
	 */
	public int getExtractStatus() {
		return extractStatus;
	}

	/**
	 * @param extractStatus the extractStatus to set
	 */
	public void setExtractStatus(int extractStatus) {
		this.extractStatus = extractStatus;
	}

	/**
	 * @return the volumeIp
	 */
	public String getVolumeIp() {
		return volumeIp;
	}

	/**
	 * @param volumeIp the volumeIp to set
	 */
	public void setVolumeIp(String volumeIp) {
		this.volumeIp = volumeIp;
	}

	/**
	 * @return the volumePath
	 */
	public String getVolumePath() {
		return volumePath;
	}

	/**
	 * @param volumePath the volumePath to set
	 */
	public void setVolumePath(String volumePath) {
		this.volumePath = volumePath;
	}

	/**
	 * @return the volumeType
	 */
	public String getVolumeType() {
		return volumeType;
	}

	/**
	 * @param volumeType the volumeType to set
	 */
	public void setVolumeType(String volumeType) {
		this.volumeType = volumeType;
	}

	/**
	 * @return the mark
	 */
	public String getMark() {
		return mark;
	}

	/**
	 * @param mark the mark to set
	 */
	public void setMark(String mark) {
		this.mark = mark;
	}

	/**
	 * @return the dataBaseType
	 */
	public String getDataBaseType() {
		return dataBaseType;
	}

	/**
	 * @param dataBaseType the dataBaseType to set
	 */
	public void setDataBaseType(String dataBaseType) {
		this.dataBaseType = dataBaseType;
	}

	/**
	 * @return the payResult
	 */
	public String getPayResult() {
		return payResult;
	}

	/**
	 * @param payResult the payResult to set
	 */
	public void setPayResult(String payResult) {
		this.payResult = payResult;
	}

	/**
	 * @return the execResult
	 */
	public String getExecResult() {
		return execResult;
	}

	/**
	 * @param execResult the execResult to set
	 */
	public void setExecResult(String execResult) {
		this.execResult = execResult;
	}

	/**
	 * @return the payResultLast
	 */
	public String getPayResultLast() {
		return payResultLast;
	}

	/**
	 * @param payResultLast the payResultLast to set
	 */
	public void setPayResultLast(String payResultLast) {
		this.payResultLast = payResultLast;
	}

	/**
	 * @return the execResultLast
	 */
	public String getExecResultLast() {
		return execResultLast;
	}

	/**
	 * @param execResultLast the execResultLast to set
	 */
	public void setExecResultLast(String execResultLast) {
		this.execResultLast = execResultLast;
	}

	/**
	 * @return the checkoutFlag
	 */
	public String getCheckoutFlag() {
		return checkoutFlag;
	}

	/**
	 * @param checkoutFlag the checkoutFlag to set
	 */
	public void setCheckoutFlag(String checkoutFlag) {
		this.checkoutFlag = checkoutFlag;
	}

	/**
	 * @return the standardExtractStatus
	 */
	public String getStandardExtractStatus() {
		return standardExtractStatus;
	}

	/**
	 * @param standardExtractStatus the standardExtractStatus to set
	 */
	public void setStandardExtractStatus(String standardExtractStatus) {
		this.standardExtractStatus = standardExtractStatus;
	}

	/**
	 * @return the startMonth
	 */
	public String getStartMonth() {
		return startMonth;
	}

	/**
	 * @param startMonth the startMonth to set
	 */
	public void setStartMonth(String startMonth) {
		this.startMonth = startMonth;
	}

	/**
	 * @return the endMonth
	 */
	public String getEndMonth() {
		return endMonth;
	}

	/**
	 * @param endMonth the endMonth to set
	 */
	public void setEndMonth(String endMonth) {
		this.endMonth = endMonth;
	}

	@Override
	public String toString() {
		return "id=" + this.id + " ,regionalismCode=" + this.regionalismCode
				+ " ,cityName=" + this.cityName + " ,districtName="
				+ this.districtName + " ,systemCode=" + this.systemCode
				+ " ,systemName" + this.systemName + " ,dataType="
				+ this.dataType + " ,dataVersion=" + this.dataVersion
				+ " ,submittedBatch=" + this.submittedBatch + " ,dataPath="
				+ this.dataPath + " ,collectingTime=" + this.collectingTime
				+ " ,collectorContacts=" + this.collectorContacts
				+ " ,charset=" + this.charset + " ,collectorName="
				+ this.collectorName + " ,year=" + this.year + " startYear=" 
				+this.startYear +" endYear="+this.endYear;
	}

}
